Back to all endpoints

Social Media

Find the social media profile URL for a company on a given platform.

POST /v1/social_media/{platform}
10 credits per request

Request body

ParameterTypeRequiredDescription
urlstringRequiredThe company website URL to look up - Domain names are extracted automatically

Response format

Successful responses return a 200 status code with the following structure:

1{
2  "status_code": 200,
3  "status": "Success",
4  "results": [
5    {
6      "input_url": "https://example.com",
7      "extracted_domain": "example.com",
8      "credit_cost": 10,
9      "platform": "linkedin",
10      "linkedin_url": "https://www.linkedin.com/company/example"
11    }
12  ]
13}

Error responses

400 Error

Invalid URL provided

400 Error

Invalid platform - must be one of: linkedin, facebook, x, instagram, youtube, pinterest, tiktok

402 Error

Insufficient credits

403 Error

Forbidden - Invalid or missing API key

Code examples

Platform:
1curl -X POST https://api.magellandata.io/v1/social_media/linkedin \
2  -H "Authorization: Bearer YOUR_API_KEY" \
3  -H "Content-Type: application/json" \
4  -d '{
5    "url": "https://example.com"
6  }'

Try it out

Note: The interactive playground may not work due to browser CORS restrictions. For testing, we recommend using the code examples above with tools like Postman, cURL, or your own application code.

Try it now

Endpoint: POST /v1/social_media/linkedin

Don't have an API key? Sign up for free